## NAME

           gmtconvert - Convert between ASCII and binary 1-D tables

## SYNOPSIS

           gmtconvert  [  inputfiles]  [  -H[nrec]  ] [ -M[flag] ] [ -V ] [ -: ] [
           -bi[s]n ] [ -bo[s][n] ]

## DESCRIPTION

           gmtconvert reads its standard input [or inputfiles] and writes out  the
           information  to standard output. Its main purpose is to convert between
           binary and ASCII data tables. Input (and hence output) may have  multi-
           ple subheaders if -M is selected.

           datafile(s)
                  ASCII  (or  binary,  see  -bi)  file(s) holding a number of data
                  columns.

## OPTIONS

           -H     Input file(s) has Header record(s). Number of header records can
                  be  changed  by  editing  your  .gmtdefaults  file. If used, GMT
                  default is 1 header record.

           -M     Multiple segment file(s). Segments are separated  by  a  special
                  record.   For  ASCII  files  the  first  character  must be flag
                  [Default is ’>’].  For binary files all fields must be NaN.

           -V     Selects verbose mode, which will send progress reports to stderr
                  [Default runs "silently"].

           -:     Toggles  between  (longitude,latitude)  and (latitude,longitude)
                  input/output. [Default  is  (longitude,latitude)].   Applies  to
                  geographic coordinates only.

           -bi    Selects  binary input. Append s for single precision [Default is
                  double].  Append n for the  number  of  columns  in  the  binary
                  file(s).

           -O     Selects  Overlay  plot mode [Default initializes a new plot sys-
                  tem].

## EXAMPLES

           To convert the binary file test.b (single precision) with 4 columns  to
           ASCII, try

           gmtconvert test.b -bis4 > test.dat

           To  convert  the multiple segment ASCII table test.d to a double preci-
           sion binary file, try

           gmtconvert test.d -M -bo > test.b

## SEE ALSO

           gmt(l), minmax(l)

    GMT3.4.6                          1 Jan 2005                     GMTCONVERT(l)